Subject: simple question on pingCtlMaxRows - pingMIB (rfc2925)

From: Paul Fraley <[email-masked]>
Date: Tue, 05 Jun 2001 10:10:45 -0700

I need to know what happens when pingCtlMaxRows is set to a number
less than the number of entries CURRENTLY in the History table for
a given ping test.

Consider the following scenario, for a given Ping test:
   Run 1
       pingCtlProbeCount  == 15
       pingCtlMaxRows     == 30

   At the end of this run, I have 15 entries in the History table,
   numbered 1-15

   Run 2
       pingCtlProbeCount  == 15
       pingCtlMaxRows     == 30

   At the end of this run, I have 30 entries in the History table,
   numbered 1-30

   Run 3
       pingCtlProbeCount  == 15
       pingCtlMaxRows     == 30

   At the end of this run, I have 30 entries in the History table,
   numbered 16-45

   Run 4
       pingCtlProbeCount  == 15
       pingCtlMaxRows     ==  5

Question 1.
    What should have at the end of the end of Run 4?

    A.  5 entries numbered 56-60?
    B. 30 entries numbered 31-60?
    C. something else?  if so, what?

Question 2.
    What happens when I set pingCtlMaxRows to 0?  Do I delete any 
    current History entries for this test?  If so, I would assume
    that I would do this when I STARTED the test, and NOT when
    pingCtlMaxRows is set 0.

Thanks,

Paul
[email-masked]